Bug 504421 - RFE: Add possibility to create macvlan devices to initscripts
RFE: Add possibility to create macvlan devices to initscripts
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Lukáš Nykrýn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-06 15:57 EDT by Tomasz Kepczynski
Modified: 2017-02-08 11:56 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-08 11:56:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomasz Kepczynski 2009-06-06 15:57:29 EDT
Description of problem:

Fedora 10 seems to have support for macvlan devices both in kernel an iproute. It would be nice if initscripts supported a feature as well and allowed to create macvlan devices using /etc/sysconfig/network-scripts/ifcfg-* files.
I suggest adding new TYPE=macvlan and then handle it similarily to bond or bridge.
Comment 1 iarly selbir 2009-06-06 22:31:45 EDT
Thanks for your suggestion.

Keeping it as NEW.


BugZapper Team
Comment 2 Bill Nottingham 2009-06-08 17:42:43 EDT
What advantages does this have over tun/tap?
Comment 3 Tomasz Kepczynski 2009-06-09 00:55:00 EDT
The comparison with tun or tap doesn't make sense - tun and tap drivers are used to create vpns as one end of the device is network device and the other talks to user space. macvlan is more like an alias or vlan - one end is network device visible to user and the other talks to physical device (I guess it is dedicated to ethernet but I am not sure). The advantage over alias is that macvlan carries its own mac address, this for example allows it to be configured by dhcp (you can't configure alias with dhcp). The advantage over vlan is that it can be located in untagged vlan (or any other vlan as you can create macvlan over vlan device itself).
In short - macvlan creates new interface with distinct mac address over existing interface.
Comment 4 Tomasz Kepczynski 2009-06-09 01:37:54 EDT
Just a short starter how it is possible to configure macvlan now:

geralt:/etc/sysconfig/network-scripts# ip link add link eth0 type macvlan
geralt:/etc/sysconfig/network-scripts# cat ifcfg-macvlan0
DEVICE=macvlan0
ONBOOT=no
BOOTPROTO=dhcp
IPV6INIT=yes
IPV6_AUTOCONF=yes
geralt:/etc/sysconfig/network-scripts# ifup macvlan0

Ustalanie informacji IP dla macvlan0... zrobione.
geralt:/etc/sysconfig/network-scripts# ifconfig macvlan0
macvlan0  Link encap:Ethernet  HWaddr D6:30:32:E7:0D:85
          inet addr:192.168.0.232  Bcast:192.168.0.255  Mask:255.255.255.0
          inet6 addr: 2001:6a0:111:0:d430:32ff:fee7:d85/64 Scope:Global
          inet6 addr: fe80::d430:32ff:fee7:d85/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:52 errors:0 dropped:0 overruns:0 frame:0
          TX packets:14 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:4758 (4.6 KiB)  TX bytes:1880 (1.8 KiB)

unfortunately deletion seems to have some problems but should work as below:

geralt:/etc/sysconfig/network-scripts# ifdown macvlan0
geralt:/etc/sysconfig/network-scripts# ip link delete maclvan0 type macvlan
Cannot find device "maclvan0"
Comment 5 Alexey Kurnosov 2012-10-08 09:13:46 EDT
Any progress?
You have useful network options in kernel/userspace which not not supported in initscripts.
In RHEL6 now.
Comment 6 Alexey Kurnosov 2012-10-08 09:48:43 EDT
F17 also have support l2tp L2 kernel level tunnels.
Will you ignore this feature too?
Comment 7 Fedora Admin XMLRPC Client 2013-09-04 10:50:38 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Lukáš Nykrýn 2017-02-08 11:56:16 EST
Sorry, initscripts are in maintenance mode now, so that means no new features. Please use NetworkManager instead.

Note You need to log in before you can comment on or make changes to this bug.